Create an access token

Introduction

This request creates an access token.

The access token (also called an authentication token) is required to make a request.
The access token is valid for a limited period, indicated in the response body field expires_in.

The access token doesn't refresh automatically.
Walmart GoLocal recommends creating a new access token before each request to ensure a valid access token.

Example

This example creates an access token.

POST https://developer.api.us.walmart.com/api-proxy/service/identity/oauth/v1/token

Body

The following are the body values:

FieldValue
Headers: Acceptapplication/json
Headers: Content-Typeapplication/x-www-form-urlencoded
Request Body: grant_typeclient_credentials
Request Body: client_idf17d1eb5-53be-469c-9739-aa9897d6f855
Request Body: client_secretAI14CD8eam0TTyp8zUIuKfT2u_BE0nHpZceF...jCFZYuEfkAVGEggU
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The following are required input field names, data types, description, and occurrences.

string

Specifies the literal client_credentials.

Example:

client_credentials

string

Specifies the client identifier.

The client is assigned a client_id and client_secret that can be obtained from the development
manager.

Example:

1b711111-50cf-3c1a-a6c7-ccfbb12fb999

string

Specifies the client secret.

The client is assigned a client_id and client_secret that can be obtained from the development
manager.
The client_secret is a sensitive value and must be protected as a password is protected.

Example:

cdc6172e-f4f0-41da-863b-d9aaba7da2db

Headers
string

Specifies the tracking identifier for each request for logging purpose.

Example:

4402a449-0e67-49f8-bbb3-b2fc1c05f6b3

Responses

401

Unauthorized

403

Forbidden

404

Not Found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json